/* GERAL */

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Gothic", sans-serif;
}

:root{
    --color-neutral-0:#162c1c;
    --color-neutral-10:#91713C;
    --color-neutral-20:#623E2A;
    --color-neutral-30:#c1c2c0;
    --color-neutral-40:#623E2A;
    --color-neutral-50:#EFEBE5;
}

p, h5, h6{
    margin-bottom: 0 !important;
}

.flex{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.container{
    padding: 0 15px;
}

#loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--color-neutral-10);
    z-index: 1000;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loader {
    --s: 40px;
    height: calc(var(--s)*0.9);
    width: calc(var(--s)*5);
   --v1:transparent,#000 0.5deg 108deg,#0000 109deg;
   --v2:transparent,#000 0.5deg  36deg,#0000  37deg;
   -webkit-mask:
     conic-gradient(from 54deg  at calc(var(--s)*0.68) calc(var(--s)*0.57),var(--v1)),
     conic-gradient(from 90deg  at calc(var(--s)*0.02) calc(var(--s)*0.35),var(--v2)),
     conic-gradient(from 126deg at calc(var(--s)*0.5)  calc(var(--s)*0.7) ,var(--v1)),
     conic-gradient(from 162deg at calc(var(--s)*0.5)  0                  ,var(--v2));
   -webkit-mask-size: var(--s) var(--s);
   -webkit-mask-composite: xor,destination-over;
           mask-composite: exclude,add;
   -webkit-mask-repeat:repeat-x;
   background:linear-gradient(#ffb940 0 0) left/0% 100% #ddd no-repeat;
   animation: l20 2s infinite linear;
 }
 @keyframes l20 {
     90%,100% {background-size:100% 100%}
 }

::-webkit-scrollbar {
    width: 8px;
    background-color: #801014;
}

::-webkit-scrollbar-thumb {
    background-color: var(--color-neutral-10);
    border-radius: 10px;
    cursor: pointer;
  }

@media only screen and (max-width: 500px) {
    section.presidente, section.jogos2, section.seniores, section.jogos1, section.produtos1, section.noticias, section.metodo, section.formacao, section.classificacao{
        padding-top: 8rem !important;
    }
}

/* CABEÇALHO */
.header{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    z-index: 10;
}

.header .container{
    display: flex;
    align-items: center;
    padding: 5px 0;
    justify-content: space-between;
}

nav.menu{
    display: flex;
    justify-content: end;
}
  
header.background-change {
    background-color: #69512a;
}

.color-change {
    color: var(--color-neutral-50) !important;
}

.header .logo{
    margin: 10px;
}

.header .logo img{
    vertical-align: middle;
    width: 100px;
}

.header .menu .head{
    display: none;
}

.header .menu ul{
    list-style: none;
}

.header .menu > ul > li{
    display: inline-block;
}

.header .menu > ul > li{
    margin-right: 40px;
}

.header .menu .dropdown{
    position: relative;
}

.header .menu a{
    text-decoration: none;
    text-transform: capitalize;
    font-size: 16px;
    color: var(--color-neutral-50);
    line-height: 1.5;
    display: block;
    transition: color 0.5s;
}

.header .menu a:hover{
    border-bottom: 2px solid var(--color-neutral-10);
}

.header .menu > ul > li > a{
    margin: 24px 0;
}

.header .menu > ul > .dropdown > a{
    padding-right: 15px;
}

.header .menu i{
    font-size: 10px;
    pointer-events: none;
    user-select: none;
    position: absolute;
    color: var(--color-neutral-50);
    top: calc(50% - 5px);
}

.header .menu > ul > li > i{
    right: 0;
}

.header .menu .sub-menu{
    position: absolute;
    top: 100%;
    left: 0;
    width: 230px;
    padding: 15px 0;
    background-color: var(--color-neutral-10);
    box-shadow: 0 0 5px var(--color-neutral-20);
    z-index: 5;
    transform-origin: top;
    transform: scaleY(0);
    visibility: hidden;
    opacity: 0;
}

.header .menu .sub-menu a{
    padding: 6px 24px;
    
}

.header .menu li:hover > .sub-menu{
    opacity: 1;
    transform: none;
    visibility: visible;
    transition: all 0.5s ease;
}

.header-right{
    display: none;
}

.header-right > *{
    margin-left: 25px;
}

.header .menu ul {
    padding-left: 0;
    margin-bottom: 0;
}

.background-change {
    animation: opacidade 0.2s ease-in;
}

@keyframes opacidade {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

/* CABEÇALHO MOBILE */

.header-right .open-menu-btn{
    display: none;
}

.header .btn-header-mobile{
    display: none;
}

@media(max-width:1250px){

    .header .menu a:hover{
        border-bottom: none;
    }

    .header .container{
        justify-content: space-between;
    }
    
    .header .menu {
        position: fixed;
        right: 0;
        top: 0;
        width: 320px;
        height: 100%;
        background-color: #69512A;
        padding: 15px 30px 30px;
        overflow-y: auto;
        z-index: 5;
        transform: translateX(100%);
        visibility: hidden;
        opacity: 0;
    }

    .header .btn-header{
        display: none;
    }

    .header .btn-header-mobile{
        display: block;
        padding: 1rem 40px 0 0;
    }

    .header .btn-header-mobile a{
        text-align: center;
    }
      
    .header .menu.open {
        transform: none;
        visibility: visible;
        opacity: 1;
        z-index: 6;
        border-left: 2px solid var(--color-neutral-20);
        display: flex;
        flex-direction: column;
        justify-content: start;
    }

    .header .menu .head{
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 25px;
    }

    .header .menu .close-menu-btn{
        height: 35px;
        width: 35px;
        position: relative;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        background-color: transparent;
        cursor: pointer;
        border: none;
    }

    .header .menu .close-menu-btn::before, .header .menu .close-menu-btn::after{
        content: '';
        position: absolute;
        width: 80%;
        height: 2px;
        background-color: var(--color-neutral-30);
    }

    .header .menu .close-menu-btn::before{
        transform: rotate(45deg);
    }

    .header .menu .close-menu-btn::after{
        transform: rotate(-45deg);
    }

    .header .menu > ul > li{
        display: block;
    }

    .header .menu > ul > list-style:not(:last-child){
        margin-right: 0;
    }

    .header .menu li{
        border-bottom: 1px solid var(--color-neutral-10);
    }

    .header .menu li:first-child{
        border-top: 1px solid var(--color-neutral-10);
    }

    .header .menu > ul > li > a{
        margin: 12px 0;
    }

    .header .menu > ul > .dropdown > a{
        padding-right: 34px;
    }

    .header .menu i{
        height: 34px;
        width: 34px;
        border: 1px solid var(--color-neutral-20);
        display: inline-flex;
        align-items: center;
        justify-content: center;
        pointer-events: auto;
        cursor: pointer;
        top: 7px;
    }

    .header .menu .dropdown.active > i{
        background-color: var(--color-neutral-20);
        transform: rotate(180deg);
    }

    .header .menu .sub-menu{
        position: static;
        opacity: 1;
        transform: none;
        visibility: visible;
        padding: 0;
        transition: none;
        box-shadow: none;
        width: 100%;
        display: none;
    }

    .header .menu .dropdown.active > .sub-menu{
        display: block;
    }

    .header .menu .sub-menu li:last-child{
        border: none;
    }

    .header .menu .sub-menu a{
        padding: 12px 0 12px 15px;
    }

    .header .menu .sub-menu span{
        background-image: none;
    }

    .header .menu .sub-menu i{
        transform: none;
        right: 0;
    }

    .header-right{
        display: flex;
    }

    .header-right .open-menu-btn{
        display: inline-flex;
        align-items: center;
        justify-content: center;
        height: 40px;
        width: 44px;
        cursor: pointer;
        position: relative;
        background-color: transparent;
        border: none;
        z-index: 5;
    }

    .header-right .open-menu-btn .line{
        height: 2px;
        width: 30px;
        background-color: var(--color-neutral-50);
        position: absolute;
    }

    .header-right .open-menu-btn .line-1{
        transform: translateY(-8px);
    }

    .header-right .open-menu-btn .line-3{
        transform: translateY(8px);
    }
}

@media(max-width:900px){
    .header .container{
        height: 90px;
        padding: 0px 15px;
    }
}

/* BOTÕES */

.botao{
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    padding-top: 2rem;
}

.botao button{
    cursor: pointer;
    padding: 0.8rem;
    display: flex;
    align-items: center;
    font-size: 18px;
    align-items: center;
    color: white;
    background-color: var(--color-neutral-10);
    gap: 0.4rem;
    transition: 0.3s;
    border: 2px solid white;
}

.botao button:hover{
    box-shadow: 0px 0px 8px var(--color-neutral-10);
    transform: scale(1.05);
}

/* RODAPÉ */

footer{
    background-color: #69512a;
    padding: 4rem 4rem 0rem 4rem;
}

.footer{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.titulo h1{
    color: var(--color-neutral-50);
    font-size: 50px;
    text-align: start;
    font-family: "Merienda", sans-serif;
}

.rodape h3, .rodape p{
    color: var(--color-neutral-50);
}

.rodape{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
}

.rodape-infos{
    border: 1px solid var(--color-neutral-50);
    padding: 30px 40px 30px 40px;
    min-width: 250px;
}

.rodape-infos h3{
    margin-bottom: 20px;
}

.infos{
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.contactos{
    display: flex;
    gap: 10px
}

.horario{
    display: flex;
    flex-direction: column;
}

.contactos i{
    display: flex;
    font-size: 20px;
    color: var(--color-neutral-50);
    align-items: center;
}

.contactos a{
    text-decoration: none;
    color: var(--color-neutral-50);
}

.footer_copyright{
    text-align: center;
    font-size: 15px;
    color: var(--color-neutral-50);
    text-decoration: none;
}

a{
    text-decoration: none !important;
}

@media screen and (max-width:1000px){
    .titulo h1{
        text-align: center;
    }

    .rodape{
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .rodape-infos{
        padding: 30px 40px 30px 40px;
        width: 300px;
    }
}

@media screen and (max-width:800px){
    footer{
        padding: 2rem 1rem 1rem 1rem;
    }

    .titulo h1{
        font-size: 40px;
    }
}

@media screen and (max-width:400px){
    .titulo h1{
        font-size: 30px;
    }
}